org.apache.tinkerpop.gremlin.algorithm.generator

## Class AbstractGenerator.AbstractGeneratorBuilder<T extends AbstractGenerator.AbstractGeneratorBuilder>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.algorithm.generator.AbstractGenerator.AbstractGeneratorBuilder<T>

- Direct Known Subclasses:
    CommunityGenerator.Builder, DistributionGenerator.Builder
  Enclosing class:
    AbstractGenerator

      public abstract static class AbstractGenerator.AbstractGeneratorBuilder<T extends AbstractGenerator.AbstractGeneratorBuilder>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Optional<Consumer<Edge>>` | `edgeProcessor`
    `protected String` | `label`
    `protected Supplier<Long>` | `seedSupplier`
    `protected Optional<BiConsumer<Vertex,Map<String,Object>>>` | `vertexProcessor`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `edgeProcessor(Consumer<Edge> edgeProcessor)`
    `T` | `label(String label)`
    `T` | `seedGenerator(Supplier<Long> seedGenerator)`
    `T` | `vertexProcessor(BiConsumer<Vertex,Map<String,Object>> vertexProcessor)` The function supplied here may be called more than once per vertex depending on the implementation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### label

          protected String label

    - #### edgeProcessor

          protected Optional<Consumer<Edge>> edgeProcessor

    - #### vertexProcessor

          protected Optional<BiConsumer<Vertex,Map<String,Object>>> vertexProcessor

    - #### seedSupplier

          protected Supplier<Long> seedSupplier

  - ### Method Detail

    - #### label

          public T label(String label)

    - #### edgeProcessor

          public T edgeProcessor(Consumer<Edge> edgeProcessor)

    - #### vertexProcessor

          public T vertexProcessor(BiConsumer<Vertex,Map<String,Object>> vertexProcessor)

      The function supplied here may be called more than once per vertex depending on the implementation.

    - #### seedGenerator

          public T seedGenerator(Supplier<Long> seedGenerator)

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.